A I

Ask the deal agent to pick one of the caller's offers for a goal

POST
/api/agent/deals

Read-only. It evaluates only offers the backend already priced and never accepts or pays.

Request Body

application/json

quoteSetId*string
Lengthlength <= 64
minSavingsCents*|
Range1 <= value <= 50000
preference*string

Value in

  • "lowest_cost"
  • "early_finish"
  • "gentle"

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/agent/deals" \  -H "Content-Type: application/json" \  -d '{    "quoteSetId": "string",    "minSavingsCents": 1,    "preference": "lowest_cost"  }'
{  "evaluation": {    "status": "RECOMMENDED",    "recommendedOfferId": "string",    "candidates": [      {}    ],    "backendRejected": [      {}    ]  },  "summary": "string",  "points": [    "string"  ],  "source": "MODEL",  "model": "string",  "reason": "string"}